--
-- Create all the tables and insert some example data.
--

CREATE TABLE  `IdsGenerator` (
  `id` varchar(10) NOT NULL,
  `employeeIds` bigint unsigned NOT NULL,
  
  PRIMARY KEY  (`id`)
) engine=innodb DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

CREATE TABLE  `Employee` (
  `id` bigint unsigned NOT NULL,
  `nif` varchar(10) default NULL,
  `name` varchar(50) NOT NULL,
  `phone` varchar(20) default NULL,
  `email` varchar(50) default NULL,
  
  PRIMARY KEY  (`id`)
) engine=innodb DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

CREATE TABLE  `Technician` (
  `id` bigint unsigned NOT NULL,
  `nif` varchar(10) default NULL,
  `name` varchar(50) NOT NULL,
  `phone` varchar(20) default NULL,
  `email` varchar(50) default NULL,
  `experienceYears` int unsigned default 0,
  
  PRIMARY KEY  (`id`)
) engine=innodb DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

CREATE TABLE  `Developer` (
  `id` bigint unsigned NOT NULL,
  `nif` varchar(10) default NULL,
  `name` varchar(50) NOT NULL,
  `phone` varchar(20) default NULL,
  `email` varchar(50) default NULL,
  `experienceYears` int unsigned default 0,
  `expertLanguajes` varchar(50) default NULL,
  
  PRIMARY KEY  (`id`)
) engine=innodb DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;


--
-- Se dan de alta algunos valores iniciales
--
INSERT INTO IdsGenerator VALUES('Employee', 1);
